GO的交叉编译

必备安装配置最新go版本的环境(最好是1.5版本以上)参数解析这里用到了两个变量:GOOS:目标操作系统GOARCH:目标操作系统的架构OSARCHOS versionlinux386/amd64/arm>= Linux 2.6darwin386 / amd64OS X (Snow Leopard + Lion)freebsd386 / amd64>= FreeBSD 7windows

- 阅读全文 -

安装Swoole

以下以Laravel Homestead环境来举例根据Swoole文档,直接installpecl install swoole默认是按照最新版的,如果有你的环境PHP不是最新,那需要按照PHP版本去安装下面是安装PHP是7.1版本的swoole的示例:pecl -d php_suffix=7.1 install swoole如果报错,则试下root权限sudo pecl install swoo

- 阅读全文 -

在Windows上安装PHP的扩展:v8js

这是一个简单的教程,可以帮助您在Windows上安装PHP的v8js。本教程不包含如何编译v8js!让我们开始吧。首先检查您的PHP是线程安全性的还是非安全性的,因为我们需要知道要下载正确的模块。你可以在Windows中运行一个简单的命令来检查这个。代码如下:php -i | findstr "Thread"如果结果输出是Thread Safety => enabled,

- 阅读全文 -

laravel数据迁移,执行迁移文件时错误

解决方案一laravel为了支持某些字符表情使用的是utf8mb4编码升级mysql到5.7.7版本以上让他支持utf8mb4编码解决方案二修改config/database.php的配置项//'charset' => 'utf8mb4', //'collation' => 'utf8mb4_unicode_ci', 'charset' => 'utf8', 'collation

- 阅读全文 -

简述PHP用curl上传文件的坑

最近遇到需要PHP上传图片到API去,折腾了一下,现在记录下遇到的“坑”。不同版本PHP之间curl的区别一般来说,我们PHP提交数据经常用到curl,可get可post,很强大。但对于curl上传图片,有一些需要注意的地方。对于上传文件,图片等,curl通过给CURL_POSTFIELDS传递关联数组(而不是字符串)来生成multipart/form-data的POST请求。传统上,PHP的cU

- 阅读全文 -

 最新文章

 最近回复

  • helloqueen: 谢谢分享
  • helloqueen: 谢谢分享
  • 二分: 不错
  • kuye: 已经更新,请去帖子或github上面查看
  • wangyuzhen: 支付宝双十二今天那个能用?我输入次数就结束了
  • 狐狸: 厉害
  • kuye: 图片链接已更换。验证码是问哪个的?
  • ASC_8384: [图片](https://web.archive.org/web...
  • kuye: 宝塔不会自动升级的,老版本只能网络搜下了。
  • 心灵博客: 宝塔会自动升级么? 怎么可以安装老版本?

 分类

 标签

 其它